uniform sampler2D texture;
uniform vec4 colour_filter;

varying vec2 v_texture_coord;
  
void main()
{
  vec4 base_colour = texture2D(texture, v_texture_coord);
  gl_FragColor = vec4(base_colour.rgba * colour_filter.rgba);
}